%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
%% This file is part of BibTool.
%% It is distributed under the GNU General Public License.
%% See the file COPYING for details.
%% 
%% (c) 1996-2019 Gerd Neugebauer
%% 
%% Net: gene@gerd-neugebauer.de
%% 
%% This program is free software; you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation; either version 2, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program; if not, write to the Free Software
%% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Default resource file
% You don't need this file. The settings defined here are also compiled into
% BibTool. This file can serve as a basis for your own modifications.
% The values are taken from the UNIX installation.
%

bibtex.env.name          = "BIBINPUTS"
check.case.sensitive     = on
check.double             = off
check.double.delete      = off
count.all                = off
count.used               = off
crossref.limit           = 32
default.key              = "**key*"
dir.file.separator       = "/"
env.separator            = ":"
expand.macros            = on
fmt.et.al                = ".ea"
fmt.inter.name           = "-"
fmt.name.name            = "."
fmt.name.pre             = "."
fmt.name.title           = ":"
fmt.title.title          = "-"
ignored.word             = "a"
ignored.word             = "an"
ignored.word             = "the"
ignored.word             = "le"
ignored.word             = "les"
ignored.word             = "la"
ignored.word             = "un"
ignored.word             = "une"
ignored.word             = "el"
ignored.word             = "il"
ignored.word             = "der"
ignored.word             = "die"
ignored.word             = "das"
ignored.word             = "ein"
ignored.word             = "eine"
key.base                 = lower
key.expand.macros        = on
key.format               = short
key.generation           = off
key.number.separator     = "*"
new.entry.type           = "Article"      
new.entry.type           = "Book"         
new.entry.type           = "Booklet"      
new.entry.type           = "Conference"   
new.entry.type           = "InBook"       
new.entry.type           = "InCollection" 
new.entry.type           = "InProceedings"
new.entry.type           = "Manual"       
new.entry.type           = "MastersThesis"
new.entry.type           = "Misc"         
new.entry.type           = "PhDThesis"    
new.entry.type           = "Proceedings"  
new.entry.type           = "TechReport"   
new.entry.type           = "Unpublished"  
pass.comments            = off
preserve.key.case        = off
preserve.keys            = off
print.align              = 18
print.align.string       = 18
print.align.preamble     = 11
print.align.comment      = 10
print.align.key          = 18
print.all.strings        = on
print.braces             = on
print.comma.at.end       = on
print.deleted.prefix     = "###"
print.deleted.entries    = on
print.entry.types        = "pisnmac"
print.equal.right        = on
print.indent             = 2
print.line.length        = 77
print.newline            = 1
print.parentheses        = off
print.use.tab            = on
print.wide.equal         = off
quiet                    = off
rewrite.case.sensitive   = on
rewrite.limit            = 512
select.crossrefs	 = off
select.case.sensitive    = off
select.fields            = "$key"
sort                     = off
sort.cased               = off
sort.format              = "%s($key)"
sort.macros              = on
sort.reverse             = off
suppress.initial.newline = off
symbol.type              = lower
verbose                  = off
